<?php $this->display('header');?>
<div id="main">
  <div id="left" class="guide">
    <ul class="f-14">
      <li class="white">运行环境检测</li>
      <li class="white">数据库设置</li>
      <li class="white">站点设置</li>
      <li class="white">扩展选择</li>
      <li id="g-5">安装完成</li>
    </ul>
  </div>
  <div id="right" class="p-b">
  	<div id="install-info" style="width:99%;height:400px;overflow:auto;"></div>
    <!--<iframe width="99%" height="400px" scrolling="No" style="overflow: auto;" src="?action=install" frameborder="0"></iframe>-->
    <div id="btn-area">
    	<span class="f-l dis-b w-80">
    		<a href="?action=step4" class="btn-back">返回上一步</a>
    	</span>
    	<span class="f-r dis-b w-80 mar-t-10">
    		<a href="javascript:;" onclick="window.close()" class="btn">关闭本页</a>
    	</span>
    </div>
  </div>
  <div class="clear"></div>
</div>
<div id="foot">Copyright &copy; Cmstop.com All Rights Reserved. <strong>思拓合众</strong> 版权所有 <a href="#" class="yellow">京ICP备09082107号</a></div>
<script type="text/javascript">
$(function(){
	var over = false, info = document.getElementById('install-info');
	function ping(seek){
		$.ajax({
			url:'?action=ping&seek='+seek,
			complete:function(xhr){
				if (xhr.responseText) {
					info.innerHTML += xhr.responseText;
					info.scrollTop = 99999;
				}
				var s = xhr.getResponseHeader('CmsTop-Install-Seek');
				over || ping(s || seek);
			}
		});
	}
	$.ajax({
		url:"?action=install",
		complete:function(){
			over = true;
		}
	});
	ping(0);
});
</script>
</body>
</html>
